Bulk Stop
curl --request POST \
--url https://api.streamskill.pro/v1/purchases/bulk-stop \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
1,
2,
3
]
}
'import requests
url = "https://api.streamskill.pro/v1/purchases/bulk-stop"
payload = { "ids": [1, 2, 3] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: [1, 2, 3]})
};
fetch('https://api.streamskill.pro/v1/purchases/bulk-stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": [
1,
2
],
"failed": [
{
"id": 3,
"error": "Order not found"
}
]
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401,
"type": "unauthorized_http_exception"
}{
"name": "Bad Request",
"errors": {
"tarif.id": [
"Tarif not found"
]
},
"code": 0,
"status": 422,
"type": "validate_exception"
}Actions
Bulk Stop
Stop multiple purchases at once. Maximum 100 orders per request.
POST
/
purchases
/
bulk-stop
Bulk Stop
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Body
application/json
Array of order IDs (maximum 100)
Required array length:
1 - 100 elementsExample:
[1, 2, 3]⌘I